al_create_sample_instance(3)

NAME

al_create_sample_instance - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    ALLEGRO_SAMPLE_INSTANCE *al_create_sample_instance(ALLEGRO_SAMPLE *sample_data)

DESCRIPTION

Creates a sample instance, using the supplied sample data. The instance must be attached to a mixer (or voice) in order to actually produce output.

The argument may be NULL. You can then set the sample data later with al_set_sample(3).

SEE ALSO

al_destroy_sample_instance(3)